<div class="modal-dialog ">
    <div class="modal-content bg-secondary">

        <!-- Modal Header -->
        <div class="modal-header text-light">
            <h4 class="modal-title">Criar sua conta</h4>
            <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
        </div>

        <!-- Modal body -->
        <div class="modal-body">

            <div class="container">
                <div *ngIf="erro" class="alert alert-danger m-3">
                    Email já existe.
                </div>
                <div *ngIf="sucesso" class="alert alert-success m-3">
                    Perfil cadastrado com sucesso.
                </div>
                <div class="navbar" *ngIf="!sucesso">
                    <div class="row">
                        <button type="button" class="mr-3 btn btn-light" *ngIf="cientista" (click)="cadastroCientista()"
                            role="button">Cientista</button>
                        <button type="button" class="mr-3 btn btn-secondary" *ngIf="!cientista" (click)="cadastroCientista()"
                            role="button">Cientista</button>
                        <button type="button" class="btn btn-light" *ngIf="comum" (click)="cadastroComum()" role="button">
                            Usuário comum
                        </button>
                        <button type="button" class="btn btn-secondary" *ngIf="!comum" (click)="cadastroComum()" role="button">
                            Usuário comum
                        </button>                        
                    </div>
                </div>

                <div *ngIf="!sucesso">
                    <form *ngIf="cientista" ngNativeValidate class="mt-2">

                        <!--Cadatro de cientistas-->
                        <div class="container">
                            <div class="form-group row">
                                <input type="text" class="form-control" name="nomePessoa" [(ngModel)]="informacao.nomePessoa" placeholder="Nome"
                                    required="true">
                            </div>
                            
                            <div class="form-group row">
                                <input type="email" class="form-control" name="email" [(ngModel)]="informacao.email" placeholder="Email"
                                    required="true">
                            </div>
                            
                            <div class="form-group row">
                                <input type="password" class="form-control" name="senha" [(ngModel)]="informacao.senha" placeholder="Senha"
                                    required="true">
                            </div>
                            
                            <div class="form-group row">
                                <label for="dataNascimento" class="text-light">
                                    Data de Nascimento
                                </label>
                                <input type="date" class="form-control" name="dataNascimento" [(ngModel)]="infoAdicionais.dataNascimento"
                                    required="true">
                            </div>
                            
                            <div class="form-group row">
                                <label for="dataComecoTrabalhar" class="text-light">
                                    Data em que entrou em atividade como cientista
                                </label>
                                <input type="date" class="form-control" name="dataInicioCientista" [(ngModel)]="infoAdicionais.dataInicioCientista"
                                    required="true">
                            </div>
                            
                            <div class="form-group row">
                                <input type="text" class="form-control" name="cidade" [(ngModel)]="trabalho.cidadeOndeTrabalha"
                                    placeholder="Cidade onde trabalha" required="true">
                            </div>
                            <div class="form-group row">
                                <input type="text" class="form-control" name="estado" [(ngModel)]="trabalho.estadoOndeTrabalha"
                                    placeholder="Estado onde trabalha" required="true">
                            </div>
                            <div class="form-group row">
                                <input type="text" class="form-control" name="nomeInstituicao" [(ngModel)]="trabalho.nomeInstituicao"
                                    placeholder="Instituição onde trabalha" required="true">
                            </div>
                            
                            <div class="form-group row">
                                <input type="text" class="form-control" name="nivelFormacao" [(ngModel)]="formacao.nivelDeFormacao"
                                    placeholder="Nível de formação" required="true">
                            </div>
                            
                            <div class="form-group row">
                                <input type="text" class="form-control" name="localFormacao" [(ngModel)]="formacao.localDeFormacao"
                                    placeholder="Local de formação" required="true">
                            </div>
                            <div class="form-group row">
                                <input type="url" class="form-control" name="curriculo" [(ngModel)]="curriculo.url"
                                    placeholder="Curriculo Lattes" required="true">
                            </div>
                        </div>

                        <div *ngIf="submiter">
                            <button type="submit" (click)="onSubmitCientista()"
                                class="btn btn-dark mr-2">Confirmar</button>
                        </div>
                        <div *ngIf="!submiter">
                            <button type="submit" (click)="onSubmitCientista()" class="btn btn-dark mr-2"
                                disabled>Confirmar</button>
                        </div>
                    </form>
                </div>

                <div *ngIf="!sucesso">
                    <form *ngIf="!cientista" ngNativeValidate class="mt-2">

                        <!--Cadatro de usuario comum-->
                        <div class="container">
                            <div class="form-group row">
                                <input type="text" class="form-control" name="nomePessoa" [(ngModel)]="informacao.nomePessoa"
                                    placeholder="Nome" required="true">
                            </div>

                            <div class="form-group row">
                                <input type="email" class="form-control" name="email" [(ngModel)]="informacao.email"
                                    placeholder="Email" required="true">
                            </div>

                            <div class="form-group row">
                                <input type="password" class="form-control" name="senha" [(ngModel)]="informacao.senha"
                                    placeholder="Senha" required="true">
                            </div>

                            <div class="form-group row">
                                <label for="dataNascimento" class="text-light">
                                        Data de Nascimento
                                </label>
                                <input type="date" class="form-control" name="dataNascimento"
                                        [(ngModel)]="infoAdicionais.dataNascimento" required="true">
                            </div>

                            <div class="form-group row">
                                <input type="text" class="form-control" name="nivelFormacao"
                                    [(ngModel)]="formacao.nivelDeFormacao" placeholder="Nível de Formacao"
                                    required="true">
                            </div>

                            <div class="form-group row">
                                <input type="text" class="form-control" name="localFormacao"
                                    [(ngModel)]="formacao.localDeFormacao" placeholder="Local de Formacao"
                                    required="true">
                            </div>
                        </div>


                        <div *ngIf="!submiter">
                            <button type="submit" (click)="onSubmitComum()" class="btn btn-dark mr-2"
                                disabled>Confirmar</button>
                        </div>
                        <div *ngIf="submiter">
                            <button type="submit" (click)="onSubmitComum()" class="btn btn-dark mr-2">Confirmar</button>
                        </div>

                    </form>
                </div>

            </div>
        </div>

        <!-- Modal footer -->
        <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
        </div>

    </div>
</div>